From dcb0eef401ee278204ceefcc1531d7071bf6f09d Mon Sep 17 00:00:00 2001
From: Christophe Monniez <moc@odoo.com>
Date: Mon, 23 May 2022 09:43:25 +0000
Subject: [PATCH] [IMP] packaging: add a script to install packages

This is the long awaited small POSIX shell script that installs Debian
packages needed to run Odoo.

At the first time it was intended to be a small Perl script as Perl is
available everywhere. Finally it turned out that a POSIX shell script is
smaller, easier to read and could be run everywhere.

closes odoo/odoo#92038

Signed-off-by: Christophe Monniez (moc) <moc@odoo.com>
---
 setup/debinstall.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100755 setup/debinstall.sh

diff --git a/setup/debinstall.sh b/setup/debinstall.sh
new file mode 100755
index 000000000000..0686ec13f79b
--- /dev/null
+++ b/setup/debinstall.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# Install Debian packages needed to run Odoo.
+
+if [ "$(id -u)" -ne "0" ]; then
+   echo "This script must be run as root" >&2
+   exit 1
+fi
+
+script_path=$(realpath "$0")
+script_dir=$(dirname "$script_path")
+control_path=$(realpath "$script_dir/../debian/control")
+
+apt-get update
+sed -n '/^Depends:/,/^[A-Z]/p' "$control_path" \
+| awk '/^ [a-z]/ { gsub(/,/,"") ; print $1 }' | sort -u \
+| DEBIAN_FRONTEND=noninteractive xargs apt-get install -y -qq
-- 
GitLab